/* usadelndsoc
 *
 * Copyright © 2022 Pauli Virtanen
 *    @author Pauli Virtanen <pauli.t.virtanen@jyu.fi>
 *
 * SPDX-License-Identifier: AGPL-3.0-or-later
 */
#ifndef COMMON_HPP_
#define COMMON_HPP_

#include <iostream>

#include <cppad/cppad.hpp>
#include <cppad/example/cppad_eigen.hpp>

#include <Eigen/Core>

typedef std::complex<double> Complex;
typedef CppAD::AD<double> ADDouble;
typedef std::complex<ADDouble> ADComplex;

ADComplex adcomplex(const ADComplex& cpx)
{
    return {cpx};
}

ADComplex adcomplex(const std::complex<double>& cpx)
{
    return {cpx};
}

#endif
